/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.pmarlen.client.view;

import java.awt.Image;
import java.awt.image.BufferedImage;
import javax.imageio.ImageIO;

/**
 *
 * @author alfredo
 */
public class MasterDBManagerFrame extends javax.swing.JFrame {

	/**
	 * Creates new form MasterDBManagerFrame
	 */
	public MasterDBManagerFrame() {
		initComponents();
	}
	
	public Image getImageIcon() {
		BufferedImage bi = null;
		try{
			bi = ImageIO.read(getClass().getResourceAsStream("/imgs/PMarlen_DB.png"));
		}catch(Exception ex){
		}
		return bi;
	
	}

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	@SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        restadoDB = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        accionDB = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("Perfumeria Marlen CAJA - Control B.D.");
        setIconImage(getImageIcon());

        restadoDB.setFont(new java.awt.Font("Dialog", 1, 24)); // NOI18N
        restadoDB.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        restadoDB.setText("BASE DE DATOS [DETENIDA/INICIADA]");
        getContentPane().add(restadoDB, java.awt.BorderLayout.CENTER);

        accionDB.setText("INICIAR / DETENER");
        jPanel1.add(accionDB);

        getContentPane().add(jPanel1, java.awt.BorderLayout.SOUTH);

        pack();
    }// </editor-fold>//GEN-END:initComponents

	/**
	 * @param args the command line arguments
	 */
	public static void main(String args[]) {
		/* Set the Nimbus look and feel */
		//<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
		 * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
		 */
		try {
			for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
				if ("Nimbus".equals(info.getName())) {
					javax.swing.UIManager.setLookAndFeel(info.getClassName());
					break;
				}
			}
		} catch (ClassNotFoundException ex) {
			java.util.logging.Logger.getLogger(MasterDBManagerFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
		} catch (InstantiationException ex) {
			java.util.logging.Logger.getLogger(MasterDBManagerFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
		} catch (IllegalAccessException ex) {
			java.util.logging.Logger.getLogger(MasterDBManagerFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
		} catch (javax.swing.UnsupportedLookAndFeelException ex) {
			java.util.logging.Logger.getLogger(MasterDBManagerFrame.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
		}
		//</editor-fold>

		/* Create and display the form */
		java.awt.EventQueue.invokeLater(new Runnable() {
			public void run() {
				new MasterDBManagerFrame().setVisible(true);
			}
		});
	}
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton accionDB;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JLabel restadoDB;
    // End of variables declaration//GEN-END:variables

	/**
	 * @return the accionDB
	 */
	public javax.swing.JButton getAccionDB() {
		return accionDB;
	}

	/**
	 * @param accionDB the accionDB to set
	 */
	public void setAccionDB(javax.swing.JButton accionDB) {
		this.accionDB = accionDB;
	}

	/**
	 * @return the restadoDB
	 */
	public javax.swing.JLabel getRestadoDB() {
		return restadoDB;
	}
}
